Subject: Re: [PATCH 1/2] run-command: Remove set_nonblocking

From: Johannes Sixt <[email-masked]>
Date: Fri, 6 Nov 2015 22:41:07 +0100

Am 06.11.2015 um 20:00 schrieb Stefan Beller:
> On Thu, Nov 5, 2015 at 12:27 PM, Johannes Sixt <[email-masked]> wrote:
>> Here is a prototype patch. Feel free to pick it up. It marks a process
>> whose EOF we have found by setting .err to -1. It's probably better to
>> extend the meaning of the in_use indicator for this purpose.
>
> Thanks for the proposal, I'll take that and make in_use a tristate for now
> (an enum consisting of FREE, WORKING, WAIT_CLEANUP)

I'd like to report that the prototype patch works on Windows. I tested 
it lightly using test-run-command with commands producing output from 
around 100 bytes to 10MB. So, I'm confident that this is the right approach.

Thank you for keeping the ball rolling!

-- Hannes